<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/preview"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:fadeDuration="500"
        app:layout_constraintDimensionRatio="w,1:1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:placeholderImage="@drawable/occupy_fixed_dark"
        app:placeholderImageScaleType="fitXY"
        app:roundedCornerRadius="2dp"
        app:roundingBorderColor="@color/black_alpha_10"
        app:roundingBorderWidth="0.5dp" />

    <ImageView
        android:id="@+id/previewMask"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@color/black_alpha_50"
        app:layout_constraintBottom_toBottomOf="@id/preview"
        app:layout_constraintEnd_toEndOf="@id/preview"
        app:layout_constraintStart_toStartOf="@id/preview"
        app:layout_constraintTop_toTopOf="@id/preview" />

    <ImageView
        android:id="@+id/checkImageView"
        android:layout_width="36dp"
        android:layout_height="36dp"
        android:padding="8dp"
        android:src="@drawable/ic_choose_media_normal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/chooseCountTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:text="1"
        android:textColor="@color/text_aw_primary"
        android:textSize="12sp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/checkImageView"
        app:layout_constraintEnd_toEndOf="@+id/checkImageView"
        app:layout_constraintStart_toStartOf="@+id/checkImageView"
        app:layout_constraintTop_toTopOf="@+id/checkImageView" />

    <TextView
        android:id="@+id/durationTv"
        android:layout_width="36dp"
        android:layout_height="16dp"
        android:layout_marginRight="4dp"
        android:layout_marginBottom="4dp"
        android:background="@drawable/background_shape_black_alpha_50_radius_999"
        android:text="00:00"
        android:gravity="center"
        android:textColor="@color/text_aw_primary"
        android:textSize="11sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>

